<div class="basic-page">
  <div class="page-header">
    <h3>Notifications</h3>
  </div>
  <nz-spin [nzSpinning]="isLoading[0]">
    <nz-alert *ngIf="notifications.length === 0" nzMessage="You have no notifications."></nz-alert>
    <div *ngIf="notifications.length > 0">
      <div class="listitem-container">
        <div nz-row ngClass="listitem" nzGutter="8" nzType="flex" nzAlign="middle" nzJustify="start">
          <div nz-col nzXs="4" nzSm="2">
            <label nz-checkbox [(ngModel)]="allChecked" (ngModelChange)="checkAll()">Select all</label>
          </div>
        </div>
        <div *ngFor="let note of notifications" ngClass="listitem" nz-row nzGutter="8" nzType="flex" nzAlign="middle"
          nzJustify="start">
          <div nz-col nzXs="4" nzSm="2">
            <label nz-checkbox [(ngModel)]="note.isChecked"></label>
          </div>
          <div style="text-align: left;" nz-col nzXs="14" nzSm="14" nzMd="10" [innerHtml]="note.message">
          </div>
          <div nz-col nzXs="6" nzSm="4">
            {{ note.creationDateTime | amFromUtc | amTimeAgo }}
          </div>
        </div>
      </div>
      <div nz-row ngClass="padded" nzType="flex" nzAlign="middle" nzJustify="space-between">
        <div nz-col>
          <button nz-button nzType="danger" (click)="remove()">Remove
            selected</button>
        </div>
        <div nz-col>
          <nz-pagination [(nzPageIndex)]="notificationPage" [nzTotal]="notificationCount"
            (nzPageIndexChange)="loadList()" [(nzPageSize)]="notificationPageSize"></nz-pagination>
        </div>
      </div>
    </div>
  </nz-spin>
</div>